summaryrefslogtreecommitdiff
path: root/data/boost/make.sh
diff options
context:
space:
mode:
authorMCApollo <34170230+MCApollo@users.noreply.github.com>2019-04-03 04:50:42 +0000
committerSam Bingner <sam@bingner.com>2019-04-09 23:20:46 -1000
commit877cdf66631fbb2a04f7f98b45be1362bc4eb75d (patch)
treec369a5eba6867e930cc66fe2ea800ef95d12e092 /data/boost/make.sh
parentbb4e6a8ad361e6f5fb64ef17ee32da512e431c66 (diff)
Fix buildling boost on linux, improved bjam arguments.boost-work-in-progress
Diffstat (limited to 'data/boost/make.sh')
-rw-r--r--data/boost/make.sh15
1 files changed, 11 insertions, 4 deletions
diff --git a/data/boost/make.sh b/data/boost/make.sh
index 4f804c29f..167924206 100644
--- a/data/boost/make.sh
+++ b/data/boost/make.sh
@@ -1,12 +1,19 @@
shopt -s extglob
pkg:setup
-./bootstrap.sh --prefix=/usr
-#toolset=gcc-arm64 using gcc : arm64 : aarch64-apple-darwin17-g++ ;
-echo "using clang : arm : ${PKG_TARG}-g++ ;" >>project-config.jam
-./b2 install toolset=clang-arm abi=aapcs --prefix="${PKG_DEST}/usr" -j16
+
+./bootstrap.sh --without-libraries=python --prefix=/usr
+echo "using darwin : : ${PKG_TARG}-clang++ : <archiver>${PKG_TARG}-libtool <target-os>darwin ;" >> project-config.jam
+./b2 --without-python --prefix="${PKG_DEST}/usr" -sNO_LZMA=1 --toolset=darwin link=shared threading=multi,single --layout=tagged install -j2 || : # -j16
+# Feel free to up the cores, I got memory errors due to what I'm using.
+# ./b2 will exit with a status code > 0
rm -f "${PKG_DEST}"/usr/lib/*-d?(-+([0-9_])).@(a|dylib)
for na in "${PKG_DEST}"/usr/lib/*-+([0-9_]).a; do
a=${na/-+([0-9_]).a/.a}
rm -f "$a"
ln -s "$(basename "$na")" "$a"
done
+
+# Note:
+# LZMA and icu4c are not built.
+# The following static libs have no shared library, yet are removed.
+# libboost_test_exec_monitor.a libboost_test_exec_monitor-mt.a